complexType "ReportedPosition"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | positionId?, version?, status?, creationDate?, originatingEvent?, history?, reportingRoles?, constituent?, scheduledDate*, valuation*, payment*
</...>

Content Model Elements (11):

  constituent (defined in Position complexType),
  creationDate,
  history,
  originatingEvent (defined in PositionStatusInfo.model group),
  payment (in position in positionReport),
  positionId,
  reportingRoles (defined in Position complexType),
  scheduledDate (defined in Position complexType),
  status (defined in PositionStatusInfo.model group),
  valuation (defined in Position complexType),
  version (defined in PositionIdAndVersion.model group)

All Direct / Indirect Based Elements (1):

  position (in positionReport)

Known Usage Locations

- As direct type of elements (1):
  position (in positionReport)

Annotation
A type defining the content model report of a position. This slightly extends the basic position model.
Type Definition Detail

Type Derivation Tree Position (extension) ReportedPosition

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ReportedPosition"> <xsd:complexContent> <xsd:extension base="Position"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="PositionPayment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/11)
payment

  Type: | PositionPayment, complex content

  Zero or more payments associated with this position that are generated for this reporting as-of date, for example coupon payments that pay on this date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="PositionPayment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.